#ifndef __LINEARRAY_H
#define __LINEARRAY_H

#include <exec/types.h>
#include "types.h"
#include <proto/containers.h>
#include <containers/array.h>

LineArray LineArrayNew(VOID); 
VOID LineArrayAppend(LineArray array, LINEPTR value);
VOID LineArrayInsert(LineArray array, LINEPTR value, ULONG pos);
VOID LineArrayFree(LineArray array, BOOL freeLines);
LINEPTR* LineArrayValues(LineArray array);

#endif

